Check Bulk Verification Results
Check the status and download results of a bulk verification batch. Track progress and retrieve verified records when ready.
curl -X GET "https://production.deepvue.tech/v1/verification/batch-processing-status?request_id=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
-H "x-api-key: YOUR_API_KEY"
import requests
import json
url = "https://production.deepvue.tech/v1/verification/batch-processing-status?request_id=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://production.deepvue.tech/v1/verification/batch-processing-status?request_id=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://production.deepvue.tech/v1/verification/batch-processing-status?request_id=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://production.deepvue.tech/v1/verification/batch-processing-status?request_id=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
request['x-api-key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"transaction_id": "51cd8b6ab36d46a98afb2f01e856e89a",
"timestamp": 1732088933797,
"code": 200,
"message": "Batch Upload status fetched successfully",
"sub_code": "SUCCESS",
"data": {
"request_id": "06d0d7c340ed460d96103aaa0b26f0de",
"status": 200,
"product_id": "",
"message": "batch processing completed",
"batch_output_file_url": "https://bulk-data-processing.s3.ap-south-1.amazonaws.com/upi-basic-batch-output-files/06d0d7c340ed460d96103aaa0b26f0de.csv"
}
}
{
"transaction_id": "8263c58f81d54cb3a8053ac22afefa4e",
"timestamp": 1732103344104,
"code": 200,
"message": "Batch Upload status fetched successfully",
"sub_code": "SUCCESS",
"data": {
"request_id": "673f7487fc0e4949b54e443a0bcc767d",
"status": 201,
"product_id": "",
"message": "batch processing in progress",
"batch_output_file_url": null
}
}
{
"detail": "Not authenticated"
}
{
"detail": "Invalid client_id, access Denied"
}
{
"detail": "Could not validate credentials"
}
{
"detail": "Incorrect client_id or client_secret"
}
{
"detail": "Not a valid token"
}
{
"code": 422,
"timestamp": 1732002741216,
"transaction_id": "88e4835cf10647b599ee675a473cddfd",
"sub_code": "INVALID_REQUEST_ID",
"message": "Invalid Request ID"
}
{
"detail": "Internal Server Error"
}
/v1/verification/batch-processing-status
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (JWT). ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
Responses
Overview
This API retrieves the processing status of bulk validation requests. You provide the request_id obtained when you submitted the batch, and the endpoint returns the current status and results.
- Completed batches include a downloadable results file URL in the response.
- In-progress batches indicate processing is ongoing with a null output file URL.
Use the request_id returned from any bulk verification submission endpoint to check the status of that batch.
Last updated 4 weeks ago
Built with Documentation.AI